# std::char_traits< _CharT > Struct Template Reference

Inheritance diagram for std::char_traits< _CharT >:

## Detailed Description

### template<class _CharT>
struct std::char_traits< _CharT >

Note:
  For any given actual character type, this definition is probably wrong. Since this is just a thin wrapper around __gnu_cxx::char_traits, it is possible to achieve a more appropriate definition by specializing __gnu_cxx::char_traits.

See http://gcc.gnu.org/onlinedocs/libstdc++/21_strings/howto.html#5 for advice on how to make use of this class for "unusual" character types. Also, check out include/ext/pod_char_traits.h.

Definition at line 226 of file char_traits.h.

The documentation for this struct was generated from the following file:

- char_traits.h